Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1638933

Summary: koan RPM should require python-ethtool
Product: [Fedora] Fedora Reporter: Japheth Cleaver <cleaver-redhat>
Component: cobblerAssignee: Orion Poplawski <orion>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: athmanem, awood, dgoodwin, extras-qa, jimi, kwizart, orion, scott, shenson, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: cobbler-2.8.4-5.fc28 cobbler-2.8.4-5.fc29 cobbler-2.8.4-4.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 819913 Environment:
Last Closed: 2018-12-05 01:57:14 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Japheth Cleaver 2018-10-12 23:44:11 UTC
+++ This bug was initially created as a clone of Bug #819913 +++

Description of problem:

# koan --replace-self
- looking for Cobbler at http://cobbler.cora.nwra.com:80/cobbler_api
the rhpl or ethtool module is required to use this feature (is your OS>=EL3?)

Version-Release number of selected component (if applicable):
koan-2.2.2-1.fc17.noarch

--- Additional comment from James C. on 2012-05-21 22:05:56 EDT ---

This is not required because it's an either/or situation:

def get_network_info():
   try:
      import ethtool
   except:
      try:
         import rhpl.ethtool
         ethtool = rhpl.ethtool
      except:
           raise InfoException("the rhpl or ethtool module is required to use this feature (is your OS>=EL3?)")


Adding a requirement on one would exclude the other, so neither are required and the import error is handled gracefully with a suggestion to install the one available for your distro.

--- 



Please note that RHPL is long-dead. See https://www.redhat.com/archives/rhl-devel-list/2009-July/msg01789.html), and cobbler srpm Changelog entry:
- Replace rhpl with ethtool (heffer)


Regardless of upstream, koan in both Fedora and Fedora EPEL requires python-ethtool to function and it should be an RPM Requires enforcement. Reporting in Rawhide as it appears to be still present in cobbler-2.8.3-4.fc29.src.rpm, but was tested on FC28 at koan-2.8.3-2.fc28.noarch and EL7 at koan-2.8.3-2.el7.noarch.


[root@f28 /]# koan --replace-self -S eth0 --server cobbler
- looking for Cobbler at http://cobbler:80/cobbler_api
the rhpl or ethtool module is required to use this feature (is your OS>=EL3?)

Comment 1 Fedora Update System 2018-11-25 18:26:31 UTC
cobbler-2.8.4-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-288d5d5b39

Comment 2 Fedora Update System 2018-11-25 18:26:45 UTC
cobbler-2.8.4-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-43d282dea0

Comment 3 Fedora Update System 2018-11-25 18:26:57 UTC
cobbler-2.8.4-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-accec8551d

Comment 4 Fedora Update System 2018-11-26 00:54:20 UTC
cobbler-2.8.4-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-43d282dea0

Comment 5 Fedora Update System 2018-11-26 01:04:55 UTC
cobbler-2.8.4-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-288d5d5b39

Comment 6 Fedora Update System 2018-11-26 02:46:16 UTC
cobbler-2.8.4-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-accec8551d

Comment 7 Fedora Update System 2018-11-26 18:57:18 UTC
cobbler-2.8.4-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b93c3a9568

Comment 8 Fedora Update System 2018-11-26 18:57:34 UTC
cobbler-2.8.4-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a4f72b6533

Comment 9 Fedora Update System 2018-11-26 18:57:50 UTC
cobbler-2.8.4-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8b57cfb4be

Comment 10 Fedora Update System 2018-11-26 21:10:15 UTC
cobbler-2.8.4-5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1d2a79fe1c

Comment 11 Fedora Update System 2018-11-26 21:10:33 UTC
cobbler-2.8.4-5.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-22c609e92a

Comment 12 Fedora Update System 2018-11-27 02:44:11 UTC
cobbler-2.8.4-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a4f72b6533

Comment 13 Fedora Update System 2018-11-27 04:28:13 UTC
cobbler-2.8.4-5.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1d2a79fe1c

Comment 14 Fedora Update System 2018-11-27 05:14:54 UTC
cobbler-2.8.4-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-22c609e92a

Comment 15 Fedora Update System 2018-12-05 01:57:14 UTC
cobbler-2.8.4-5.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-12-05 02:35:29 UTC
cobbler-2.8.4-5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-12-12 00:38:52 UTC
cobbler-2.8.4-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.